> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Service Request: Yardi

PUT https://api.propexo.com/v1/service-requests/yardi/{service_request_id}
Content-Type: application/json

Update Service Request: Yardi

| Interface | Method |
|---|---|
| Service Requests | CreateOrEditServiceRequests |

Reference: https://docs.propexo.com/api-reference/yardi/service-requests/update-service-request-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `service_request_id` (string, required) — The Propexo unique identifier for the service request

### Body (application/json)

This endpoint expects a _v1_service-requests_yardi_{service_request_id}_put_input.

- `access_is_authorized` (boolean, required) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, required) — A description of the service request
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor
- `service_details` (string, optional) — Details about the service request
- `date_created` (string, optional) — The date the service request was created
- `service_category` (enum, optional) — The category of service request
  - Allowed values: `Electrical`, `HVAC`, `Other`, `Plumbing`, `Service`
- `service_priority` (enum, optional) — The priority level associated with the service request
  - Allowed values: `High`, `Low`, `Med`, `24 hours`, `Emergency`
- `status_raw` (enum, optional) — The raw status associated with the service request
  - Allowed values: `Assessment`, `Call`, `Canceled`, `Completed`, `Electrical`, `Emergency`, `HVAC`, `In Progress`, `Inspection`, `On Hold`, `Other`, `Plumbing`, `Request Reassignment`, `Scheduled`, `Service`, `Web`, `Work Completed`

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsYardiServiceRequestIdPutOutputMeta, required)
- `result` (V1ServiceRequestsYardiServiceRequestIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsYardiServiceRequestIdPutOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsYardiServiceRequestIdPutOutputResult

- `service_request_id` (string, required) — The Propexo unique identifier for the service request
- `access_is_authorized` (boolean, required) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, required) — A description of the service request
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor
- `service_details` (string, optional) — Details about the service request
- `date_created` (string, optional) — The date the service request was created
- `service_category` (enum, optional) — The category of service request
  - Allowed values: `Electrical`, `HVAC`, `Other`, `Plumbing`, `Service`
- `service_priority` (enum, optional) — The priority level associated with the service request
  - Allowed values: `High`, `Low`, `Med`, `24 hours`, `Emergency`
- `status_raw` (enum, optional) — The raw status associated with the service request
  - Allowed values: `Assessment`, `Call`, `Canceled`, `Completed`, `Electrical`, `Emergency`, `HVAC`, `In Progress`, `Inspection`, `On Hold`, `Other`, `Plumbing`, `Request Reassignment`, `Scheduled`, `Service`, `Web`, `Work Completed`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "access_is_authorized": true,
  "service_description": "Leaky faucet repair"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
  },
  "result": {
    "service_request_id": "sr-9876543210",
    "access_is_authorized": true,
    "service_description": "Leaky faucet repair",
    "unit_id": "unit-12345",
    "resident_id": "res-67890",
    "vendor_id": "vend-54321",
    "service_details": "The kitchen faucet is leaking and needs replacement of the washer.",
    "date_created": "2024-01-15T09:30:00Z",
    "service_category": "Plumbing",
    "service_priority": "High",
    "status_raw": "Assessment"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/yardi/service_request_id"

payload = {
    "access_is_authorized": True,
    "service_description": "Leaky faucet repair"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/yardi/service_request_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"access_is_authorized":true,"service_description":"Leaky faucet repair"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/yardi/service_request_id"

	payload := strings.NewReader("{\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaky faucet repair\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/yardi/service_request_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaky faucet repair\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/service-requests/yardi/service_request_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaky faucet repair\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/service-requests/yardi/service_request_id', [
  'body' => '{
  "access_is_authorized": true,
  "service_description": "Leaky faucet repair"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/yardi/service_request_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaky faucet repair\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "access_is_authorized": true,
  "service_description": "Leaky faucet repair"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/yardi/service_request_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```